# withJvmTestMethods

abstract fun withJvmTestMethods(testClass: String, methods: Array<String>): TestLauncher

Adds tests to be executed declared by class and method name.

This method ignores tests defined in included builds.

#### Return

this

#### Since

2.7

#### Parameters

testClass

The name of the class containing the methods to execute.

methods

The names of the test methods to be executed.

abstract fun withJvmTestMethods(testClass: String, methods: Iterable<String>): TestLauncher

Adds tests to be executed declared by class and methods name.

This method ignores tests defined in included builds.

#### Return

this

#### Since

2.7

#### Parameters

testClass

The name of the class containing the methods to execute.

methods

The names of the test methods to be executed.